summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-video/kmpg2/kmpg2-1.96.ebuild')
-rw-r--r--media-video/kmpg2/kmpg2-1.96.ebuild15
1 files changed, 9 insertions, 6 deletions
diff --git a/media-video/kmpg2/kmpg2-1.96.ebuild b/media-video/kmpg2/kmpg2-1.96.ebuild
index 49d187c0d..34bb4697f 100644
--- a/media-video/kmpg2/kmpg2-1.96.ebuild
+++ b/media-video/kmpg2/kmpg2-1.96.ebuild
@@ -33,10 +33,13 @@ src_unpack() {
cd "${S}"
sed -i \
- -e "s:'(@global\(_KDDIR\)/Profiles/)':/usr/share/apps/${PN}/:" \
- KmPg2.kmdr || die "sed failed in KmPg2.kmdr"
+ -e "s#/\(Profiles\)#/../share/apps/${PN}/\1#" \
+ KmPg2.kmdr
- sed -i -e "s#%VERSION%#${PV}#" kmpg2.desktop kmpg2profiler.desktop || die "sed failed"
+ sed -i \
+ -e "s#%VERSION%#${PV}#" \
+ -e "s#%KDEDIR%#${KDEDIR}#" \
+ kmpg2.desktop kmpg2profiler.desktop || die "sed failed"
}
@@ -45,11 +48,11 @@ src_compile() {
}
src_install() {
- insinto /usr/share/apps/${PN}
+ insinto "${KDEDIR}/share/apps/${PN}"
doins -r Profiles
- exeinto /usr/bin
- doexe KmPg2*.kmdr YUV*.sh
+ DESTTREE="${KDEDIR}"
+ dobin KmPg2*.kmdr YUV*.sh
domenu kmpg2.desktop kmpg2profiler.desktop